> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truckaurbus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dealers, used-vehicle yards, tyre shops and mechanics near a PIN code

> Filter with `trade` (`cv_dealer` for new-vehicle showrooms, `used_cv_dealer` for used-vehicle yards) or `kind`; `brand` narrows showrooms to a maker. Only public, confirmed rows are returned.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/dealers
openapi: 3.1.0
info:
  title: Truckaurbus API
  version: v1
  description: >-
    The public v1 API at https://api.truckaurbus.com/v1. Authenticate with an
    API key in the Authorization header: Bearer tab_live_...
servers:
  - url: https://api.truckaurbus.com
security: []
paths:
  /v1/dealers:
    get:
      tags:
        - v1
      summary: Dealers, used-vehicle yards, tyre shops and mechanics near a PIN code
      description: >-
        Filter with `trade` (`cv_dealer` for new-vehicle showrooms,
        `used_cv_dealer` for used-vehicle yards) or `kind`; `brand` narrows
        showrooms to a maker. Only public, confirmed rows are returned.
      operationId: identity_api_v1_dealers
      parameters:
        - in: query
          name: pin
          required: false
          schema:
            default: ''
            title: Pin
            type: string
        - in: query
          name: km
          required: false
          schema:
            default: 50
            title: Km
            type: number
        - in: query
          name: kind
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Kind
        - in: query
          name: brand
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Brand
        - in: query
          name: category
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            title: Limit
            type: integer
        - in: query
          name: stock
          required: false
          schema:
            default: ''
            title: Stock
            type: string
        - in: query
          name: q
          required: false
          schema:
            default: ''
            title: Q
            type: string
        - in: query
          name: trade
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Trade
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DealerOut'
                title: Response
                type: array
          description: OK
components:
  schemas:
    DealerOut:
      properties:
        brands:
          default: []
          items:
            type: string
          title: Brands
          type: array
        categories:
          default: []
          items:
            type: string
          title: Categories
          type: array
        id:
          title: Id
          type: integer
        is_sample:
          title: Is Sample
          type: boolean
        kind:
          title: Kind
          type: string
        last_seen:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Seen
        location:
          $ref: '#/components/schemas/LocationOut'
        name:
          title: Name
          type: string
        offers:
          default: []
          items:
            $ref: '#/components/schemas/OfferOut'
          title: Offers
          type: array
        response_minutes_median:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Minutes Median
        slug:
          title: Slug
          type: string
        verification_status:
          title: Verification Status
          type: string
        trades:
          default: []
          items:
            type: string
          title: Trades
          type: array
        trades_verified:
          default: []
          items:
            type: string
          title: Trades Verified
          type: array
      required:
        - id
        - slug
        - name
        - kind
        - verification_status
        - is_sample
        - location
      title: DealerOut
      type: object
    LocationOut:
      properties:
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        distance_km:
          anyOf:
            - type: number
            - type: 'null'
          title: Distance Km
        district:
          anyOf:
            - type: string
            - type: 'null'
          title: District
        hours:
          additionalProperties: true
          default: {}
          title: Hours
          type: object
        id:
          title: Id
          type: integer
        lat:
          anyOf:
            - type: number
            - type: 'null'
          title: Lat
        lng:
          anyOf:
            - type: number
            - type: 'null'
          title: Lng
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        phones:
          default: []
          items:
            type: string
          title: Phones
          type: array
        pin:
          anyOf:
            - type: string
            - type: 'null'
          title: Pin
        state_code:
          anyOf:
            - type: string
            - type: 'null'
          title: State Code
        whatsapp:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp
      required:
        - id
      title: LocationOut
      type: object
    OfferOut:
      properties:
        applies_to:
          default: []
          items:
            type: string
          title: Applies To
          type: array
        details:
          anyOf:
            - type: string
            - type: 'null'
          title: Details
        id:
          title: Id
          type: integer
        status:
          default: live
          title: Status
          type: string
        title:
          title: Title
          type: string
        valid_from:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Valid From
        valid_till:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Valid Till
      required:
        - id
        - title
      title: OfferOut
      type: object

````